

#if !defined __VGEV_MAP_H
#define __VGEV_MAP_H


#include "polygon.h"

class canvas;

/* ****************************************************************************
**************************************************************************** */
class WVSmap {

   protected:
      polytype *landmass;
      polytype *borders;
      
      vector2i *landcoord;
      int      *landedge;
      int      *landcount;
      int      *landclip;
      int      landpcount;
      
      vector2i *bordercoord;
      vector2i tickcoord[18*36*9*2];
      vector2i llcoord[19*37];

      int map_avail;

   public:
      
      WVSmap();
      virtual ~WVSmap();

      void dest();
      void read_map(char *landname, char *bordername);
      void preprocess_map(canvas *tgev);
      virtual void render(canvas *tgev);
};


/* ****************************************************************************
**************************************************************************** */
class GreyWVSmap : public WVSmap {

   public:
      virtual ~GreyWVSmap() {}
      void render(canvas *tgev);
};


#include "vgev_draw.h"
   
#endif
